Page tree
Skip to end of metadata
Go to start of metadata

IMPORTANT

Simatic WinCC OA Open Architecture ("WinCC OA") is licensed to CERN by ETM Professional Control GmbH for use in the Industrial Control Systems for the Experiments, Accelerators and Technical Infrastructure located at CERN. In addition, collaborating institutes which signed a sublicense agreement with CERN may also use the software to develop the aforementioned systems ("Sub-licensee").

As a sub-licensee, you must use WinCC OA in strict compliance with the End User License Agreement and CERN's Computing Rules, and in particular the Operational Circular No. 5.

As a sub-licensee downloading the software, your organization shall hold CERN free and harmless in respect of any breach of the sub-license agreement, the End User License Agreement and/or CERN's Computing Rules.

Access to all the downloads in this page is protected and granted only to CERN authorized WinCC OA Sub-licensees - see also the chapter WinCC OA Service Register User.

The version 3.15 of WinCC OA is deprecated and the support for this version at CERN will be retired at the end of 2021. During the CERN Long Shutdown 2 all the systems are expected to be upgraded to the next recommended version, 3.16.



End Of Life openSSL 1.0.2 – potential security weakness → Upgrade strongly recommended
OpenSSL 1.0.2 used in WinCC OA versions 3.15 and below reached its end of life by the end of 2019.
There will not be any publicly available updates for this library and therefore potential security issues will not be fixed.
With huge effort ETM was able to upgrade WinCC OA 3.16 to openSSL 1.1.1. in patch 017 (CERN Release WinCC OA 3.16 20200227)
Unfortunately – due to limitations from other 3rd party SW modules used in WinCC OA – it is not possible to upgrade WinCC OA versions 3.15 and below. These versions will therefore have to continue using openSSL 1.0.2.
To avoid potential security issues arising from using this outdated library, we strongly recommend preparing to upgrade existing installations of WinCC OA to versions >= 3.16 as soon as possible.

Download and Installation

Installation autoexecutables and RPM packages

You only need to install the latest version in order to get all the recommended patches.

Note that if you are using CTRL++, you should always be using the latest recommended release, as the functionality is rapidly being improved, and bugs from older versions solved.


StatusDescriptionRelease Lifecycle
TESTING Recently released and in internal testing by the WinCC OA Service

RECOMMENDED

Internal smoke tests have been done by the WinCC OA Service, and this version can be recommended for use

(see note below)

NOT RECOMMENDED Breaking issues identified, or a new testing version has been released
DEPRECATED Previously recommended version that has been superseded by a new release. You are encouraged to upgrade.
NOT SUPPORTED Previously deprecated, no longer supported version.


WinCC OA Service routinely performs only a set of elementary "smoke test" to detect major problems with releases.
Therefore we strongly recommend that the patches are always validated independently on test/development and pre-production setup prior to decision on deployment.


For a list of releases currently deployed in production, please see WinCC OA Production Deployment Table.

After recent updates on Windows, the installer used in releases 20190514 and before may fail silently in certain conditions. This issue has been resolved with Installer 0.0.9 used from release 20190524 forward.

If installing older releases, please check the logs to confirm successful installation. The log files are located under C:\Windows\Logs\WinCC_OA_3.15.

Version

Download

Status

Remarks

2020-09-03

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Windows 64-bit:
[EXE]

TESTING

Included in the patch :

  • ETM patch P030:
    • list of CERN issues addressed by the patch may be found here .

  • CERN patches:

Remarks:

    • TFS 81910: Fixes an issue where a semaphore would not be released after a call to dpGetAlias(), blocking direct RDB queries.

2020-02-05

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Windows 64-bit:
[EXE]

DEPRECATED

Included in the patch :

  • ETM patch P025:
    • list of CERN issues addressed by the patch may be found here .
  • CERN patches:

2019-10-16

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Windows 64-bit:
[EXE]

DEPRECATED

Included in the patch :

  • ETM patch P023:
    • list of CERN issues addressed by the patch may be found here .
  • CERN patches:

2019-08-13

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Windows 64-bit:
[EXE]

RECOMMENDED

Included in the patch :

  • ETM patch P021:
    • list of CERN issues addressed by the patch may be found here .
  • CERN patches:

Remarks:

    • Bug  ETM-1635 : Fixed UI Manager hanging on Linux
    • Bug  ETM-1685 : Fixed gaps in trend caused by incorrect sorting of trend curve values with identical timestamps
    • Linux installation requires the "libotr" package to be installed. It is currently available from the "EPEL" package repository. When installing via yum, remember to have it enabled or add "–enablerepo=epel" flag.
    • New installer for Windows platform
      • Fixes a bug where return codes were not correctly returned to CMF
      • Note that on Windows Server 2008 R2 the installer may only be launched from CMF

2019-06-24

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Windows 64-bit:
[EXE]

DEPRECATED

Included in the patch :

  • ETM patch P020:
    • list of CERN issues addressed by the patch may be found here .
  • CERN patches:

Remarks:

    • Linux installation requires the "libotr" package to be installed. It is currently available from the "EPEL" package repository. When installing via yum, remember to have it enabled or add "–enablerepo=epel" flag.
    • New installer for Windows platform
      • Fixes a bug where return codes were not correctly returned to CMF
      • Note that on Windows Server 2008 R2 the installer may only be launched from CMF

2019-05-24

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Windows 64-bit:
[EXE]

DEPRECATED

Included in the patch :

  • ETM patch P019:
    • list of CERN issues addressed by the patch may be found here .
  • CERN patches:

Remarks:

    • Linux installation requires the "libotr" package to be installed. It is currently available from the "EPEL" package repository. When installing via yum, remember to have it enabled or add "–enablerepo=epel" flag.
    • New installer for Windows platform
      • Fixes a bug where return codes were not correctly returned to CMF
      • Note that on Windows Server 2008 R2 the installer may only be launched from CMF

2019-05-14

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Windows 64-bit:
[EXE]

NOT RECOMMENDED

Issue with CtrlRDBAccess packaging and Windows Installer


Included in the patch :

  • ETM patch P019:
    • list of CERN issues addressed by the patch may be found here .
  • CERN patches:

Remarks:

    • Linux installation requires the "libotr" package to be installed. It is currently available from the "EPEL" package repository. When installing via yum, remember to have it enabled or add "–enablerepo=epel" flag.

2019-03-21

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Windows 64-bit:
[EXE]

NOT RECOMMENDED

Windows installer may fail silently. Please check log file after installation.

Logs are located under C:\Windows\Logs\WinCC_OA_3.15

Included in the patch :

  • ETM patch P018:
    • list of CERN issues addressed by the patch may be found here .
  • CERN patches:

Remarks:

    • Bug ETM-1714: popupMessage() function no longer blocks the UI completely
    • Bug ETM-1722: Fixed password decryption assuming new encryption method
    • Linux installation requires the "libotr" package to be installed. It is currently available from the "EPEL" package repository. When installing via yum, remember to have it enabled or add "–enablerepo=epel" flag.

2019-02-06

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Windows 64-bit:
[EXE]

DEPRECATED

Included in the patch :

  • ETM patch P017:
    • list of CERN issues addressed by the patch may be found here .
  • CERN patches:

Remarks:

    • Bug ETM-1455: Fix issue with TAB navigation not working with CTRL editor's find and replace fields
    • Bug ETM-1458: Fix issue with case sensitivity in CTRL editor's find and replace
    • Linux installation requires the "libotr" package to be installed. It is currently available from the "EPEL" package repository. When installing via yum, remember to have it enabled or add "–enablerepo=epel" flag.

2018-12-03

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Windows 64-bit:
[EXE]

DEPRECATED

Included in the patch :

  • ETM patch P016:
    • list of CERN issues addressed by the patch may be found here .
  • CERN patches:

Remarks:

    • Bug ETM-1714: popupMessage() function blocks the UI completely
    • Linux installation requires the "libotr" package to be installed. It is currently available from the "EPEL" package repository. When installing via yum, remember to have it enabled or add "–enablerepo=epel" flag.

2018-10-02

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Windows 64-bit:
[EXE]

DEPRECATED

Included in the patch :

  • ETM patch P015:
    • list of CERN issues addressed by the patch may be found here .
  • CERN patches:

Remarks:

    • Linux installation requires the "libotr" package to be installed. It is currently available from the "EPEL" package repository. When installing via yum, remember to have it enabled or add "–enablerepo=epel" flag.

2018-08-14

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Windows 64-bit:
[EXE]

DEPRECATED

Included in the patch :

  • ETM patch P014:
    • list of CERN issues addressed by the patch may be found here .
  • CERN patches:

Remarks:

    • Linux installation requires the "libotr" package to be installed. It is currently available from the "EPEL" package repository. When installing via yum, remember to have it enabled or add "–enablerepo=epel" flag.

Notable fixes

  • ETM-1612: Fixed freezing issue with PARA case insensitive search
  • ETM-1575: Zooming rectangle now zooms to selected area
  • ETM-1497: Table cell font size now remains same when editing
  • Upgrades OpenSSL to 1.0.2o fixing CVE-2018-0732 and CVE-2018-0737

2018-07-13

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Windows 64-bit:
[EXE]

DEPRECATED

Included in the patch :

  • ETM patch P013:
    • list of CERN issues addressed by the patch may be found here .
  • CERN patches:
    • C001.1: License request
    • C002.12: CtrlRDBAccess 8.10
    • C003.1: C++ API
    • C004: ISO project encoding by default
    • C009.4: Compatibility fixes NOTE! mxProxy is not disabled anymore!

Remarks:

    • Linux installation requires the "libotr" package to be installed. It is currently available from the "EPEL" package repository. When installing via yum, remember to have it enabled or add "–enablerepo=epel" flag.

Notable fixes

  • ETM-1606: The new panel property "Restore Module Size" available to disable automatic dock module rescaling
  • ETM-1605: Functions myModuleName(), myPanelName() and getShapes() now available in script editor
  • ETM-1624: Creating dpGroups now correctly reuses indexes below 8000
  • ETM-1462, ETM-1463, ETM-1591: Improvements to the GEDI SVN integration

2018-06-20

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Windows 64-bit:
[EXE]

DEPRECATED

Included in the patch :

  • ETM patch P012:
    • list of CERN issues addressed by the patch may be found here .
  • CERN patches:
    • C001.1: License request
    • C002.12: CtrlRDBAccess 8.10
    • C003.1: C++ API
    • C004: ISO project encoding by default
    • C009.4: Compatibility fixes NOTE! mxProxy is not disabled anymore!

Remarks:

    • Linux installation requires the "libotr" package to be installed. It is currently available from the "EPEL" package repository. When installing via yum, remember to have it enabled or add "–enablerepo=epel" flag.

Notable fixes

  • ETM-1618: Using RDB a running trend query is stopped once the panel with the trend is closed
  • ETM-1630: When setting a trend ruler, the opened ruler window no longer disables trend controls
  • ETM-1604: UPC UA client browser properly shows and allows selection variables of all types
  • ETM-1620: Scope Lib code in GEDI no longer executed before panel is saved

2018-05-07

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Windows 64-bit:
[EXE]

DEPRECATED

Included in the patch :

  • ETM patch P011:
    • list of CERN issues addressed by the patch may be found here .
  • CERN patches:
    • C001.1: License request
    • C002.12: CtrlRDBAccess 8.10
    • C003.1: C++ API
    • C004: ISO project encoding by default
    • C009.5: Compatibility fixes NOTE! mxProxy is not disabled anymore!
  • Remarks:
    • Linux installation requires the "libotr" package to be installed. It is currently available from the "EPEL" package repository. When installing via yum, remember to have it enabled or add "–enablerepo=epel" flag.
  • Notable fixes
    • ETM-1442: wrong value of currentCell property in righ-click event of table widget
    • ETM-1593: problem with axis colours of trends, as well as transparent trend background colour
    • ETM-1616: webview EWO supports "open in new window" functionality.
    • FWCDB-1158: properly tread dyn_strings with a single empty string (use \0)
    • FWCDB-1157: allow to configure timeouts on per-connection and per-command basis
    • FWCDB-1147: implement restrictions on max number of active connections and commands

2018-04-03

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Windows 64-bit:
[EXE]

DEPRECATED

Included in the patch :

  • ETM patch P010:
    • list of CERN issues addressed by the patch may be found here .
  • CERN patches:
  • Remarks:
    • Linux installation requires the "libotr" package to be installed. It is currently available from the "EPEL" package repository. When installing via yum, remember to have it enabled or add "–enablerepo=epel" flag.
  • Notable fixes
    • Fix for ETM-1596 malformed dpQueries with RDB
    • Fix for ETM-1607 UI unresponsive when opening same window-modals twice

2018-02-09

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Windows 64-bit:
[ EXE ]

DEPRECATED

Included in the patch :

  • ETM patch P009:
    • list of CERN issues addressed by the patch may be found here .
  • The patch addresses a critical issue with defining $parameters for reference panels in GEDI.
  • CERN patches:
    • C001.1: License request
    • C002.10: CtrlRDBAccess 8.8
    • C003.1: C++ API (New: Powershell wrapper to set the environment)
    • C004: ISO project encoding by default
    • C009.4: Compatibility fixes
  • Remarks:
    • Linux installation requires the "libotr" package to be installed. It is currently available from the "EPEL" package repository. When installing via yum, remember to have it enabled or add "–enablerepo=epel" flag.
  • Notable fixes
    • error with defining $parameters in reference panel (ETM's 33594)
    • fix for ETM-1598 problem for the Modbus driver
    • Performance improvement in the tree widget (selection of items)
    • Fix for ETM-1588 problems with tmpnam() function

2018-02-08

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]

HOTFIX:

NOT RECOMENDED

replaced by 2018-02-09

The content identical to the 2018-02-02 patch (see below), plus a hotfix for the Modbus driver issue issue ETM-1598.

The fix is contained in patch P009, and hence will be superseded by the patch 2018-02-09.

2018-02-02

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Windows 64-bit 
[EXE]

NOT RECOMMENDED:


replaced by 2018-02-09

Included in the patch :

  • ETM patch P008:
    • list of CERN issues addressed by the patch may be found here .
  • Validation:
  • CERN patches:
    • C001.1: License request
    • C002.10: CtrlRDBAccess 8.8
    • C003.1: C++ API (New: Powershell wrapper to set the environment)
    • C004: ISO project encoding by default
    • C009.4: Compatibility fixes
  • Remarks:
    • Linux installation requires the "libotr" package to be installed. It is currently available from the "EPEL" package repository. When installing via yum, remember to have it enabled or add "–enablerepo=epel" flag.
  • Notable fixes
    • ETM-1589: RDB Archiver inconsistency for meta-information when renaming datapoints (or ASCII-importing with conflicting DPIDs) (ATLAS, LHCb)
    • ETM-1587: Problem with trend ruler on Windows
    • ETM-1565: Memory link in enableUser() (CMS)
    • ETM-1469: Problems with Driver old-new comparison
    • ETM-1453: Problems with font rendering (truncated "I" character)
    • ETM-1235: Could not search through @Alias in Para module
    • Various CTRL++ enhancements and bugfixes
  • Known issues:
    • NEW: According to ETM there is an serious error with defining $parameters in reference panels. This is fixed in patch P009.

2017-12-19

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]

HOTFIX

NOT RECOMMENDED

The content identical to the 2017-12-04 patch (see below), plus a hotfix for the RDB Archiver issue ETM-1589. The official release of this bugfix will be in patch P008 expected at the end of January 2018.

2017-12-04

 

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Windows 64-bit 
[EXE]




DEPRECATED

Included in the patch :

  • ETM patch P007:
    • list of CERN issues addressed by the patch may be found here .
  • Validation:
  • CERN patches:
    • C001.1: License request
    • C002.9: CtrlRDBAccess 8.6
    • C003: C++ API
    • C004: ISO project encoding by default
    • C009.4: Compatibility fixes
    • C018: hotfix for the ETM-1580 - Getting issue details... STATUS issue with DM Severe messages
  • Remarks:
    • Linux installation requires the "libotr" package to be installed. It is currently available from the "EPEL" package repository. When installing via yum, remember to have it enabled or add "–enablerepo=epel" flag.
    • As reported in ETM-1437 ETM-1437 - Getting issue details... STATUS , it is not supported anymore to return values from child panels through a dpSet to internal datapoints (functionality deprecated in WinCC OA 3.15). For this reason newest version of the JCOP and UNICOS frameworks are recommended - they got a fix in the components of JCOP and UNICOS framework 8.1.0.
  • Notable fixes
  • Known issues:
    • ETM-1589 - Getting issue details... STATUS ETM-1589: RDB Archiver inconsistency for meta-information when renaming datapoints (or ASCII-importing with conflicting DPIDs). See the 2017-12-19 release above

2017-10-02

 

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Windows 64-bit 
[EXE]

(see the remarks)

NOT RECOMMENDED

Included in the patch :

  • ETM patch P006:
    • list of CERN issues addressed by the patch may be found here .
  • CERN patches:
  • Remarks:
    • Linux installation requires the "libotr" package to be installed. It is currently available from the "EPEL" package repository (rebuilds of Fedora packages to Centos/RHEL). The version as of October 2017 is libotr-4.1.1-1.el7.x86_64.rpm . We are looking at the possibilities of bringing this package to the standard CERN Centos7 distribution.
    • As reported in ETM-1437 ETM-1437 - Getting issue details... STATUS , it is not supported anymore to return values from child panels through a dpSet to internal datapoints (functionality deprecated in WinCC OA 3.15). For this reason newest version of the JCOP and UNICOS frameworks are recommended.
  • Notable fixes
    • New installer on Windows, version 0.0.6, allowing to customize installation path and resolving numerous issues. More information here.
    • Fixes for RDB Archiver data corruption in custom archive groups - negative values of integer and long DPs always saved as 2^64 (ETM-1468)
    • Initial set of improvements for trending ("Trending 2.0" features) - look at the Readme-P005, Readme-P006 for details
  • Known issues:
    • dpGetAsync() (ETM-1546) is not yet available in this release

2017-08-10

 

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Windows 64-bit 
[EXE]

(see the remarks)


NOT RECOMMENDED

Included in the patch :

  • ETM patch P005:
    • list of CERN issues addressed by the patch may be found here .
  • CERN patches:
    • C001.1: License request (with new URL)
    • C002.7: CtrlRDBAccess 8.4 (BUGFIX for a crash)
    • C003: C++ API
    • C004: ISO project encoding by default
    • C009.4: Compatibility fixes
    • C015: panel.ctl hotfix for ETM-1437 ETM-1437 - Getting issue details... STATUS
    • C016: (Windows only) hotfix for ETM-1434 ETM-1434 - Getting issue details... STATUS (suppress log messages from WCCOArdb)
  • Notable fixes
    • New installer on Windows, resolving numerous issues: Getting issues...
    • Restore the functionality of directory-search for script parsing in GEDI, ETM-1440 ETM-1440 - Getting issue details... STATUS
    • Initial set of improvements for trending ("Trending 2.0" features) - look at the Readme-P005 for details
  • Known issues:

2017-07-06

 

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]




NOT RECOMMENDED

Included in the patch :

  • ETM patch P004:
    • list of CERN issues addressed by the patch may be found here .
  • CERN patches:
    • C001.1: License request (with new URL)
    • C002.7: CtrlRDBAccess 8.4 (BUGFIX for a crash)
    • C003: C++ API
    • C004: ISO project encoding by default
    • C009.3: Compatibility fixes
    • C015: panel.ctl hotfix for ETM-1437
  • Notable fixes
    • CAME alerts may sometimes not be archived ETM-1499 ETM-1499 - Getting issue details... STATUS
    • Bug in GEDI with parameterization panels for reference objects ETM-1457 - Getting issue details... STATUS
  • Known issues:

2017-06-28

 

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Windows 64-bit 
[EXE]

(see the remarks)

DEPRECATED 

Note for Windows Users

We are still working on improvements in the CERN installer of WinCC OA 3.15, which are more involved than originally estimated.

For this reason we are releasing the patch with an installer that comes with reduced functionality, yet still would make it possible to windows users of WinCC OA to profit from the most recent bugfixes and features.

This patch release will be installed automatically in SILENT mode . If you need a particular installation option (such as the API), you may add it later from the Control Panel.


Included in the patch :

  • ETM patch P003:
    • list of CERN issues addressed by the patch may be found here .
  • CERN patches:
  • Notable fixes
    • Crash in CtrlRDBAccess: FWCDB-1136 FWCDB-1136 - Getting issue details... STATUS
    • The bug with Data Manager memory leak( ETM-1436 - Getting issue details... STATUS )
    • Restore the behaviour of UI manager to shut down at project restart (WINCC-353 WINCC-353 - Getting issue details... STATUS )
    • Issue with compatibility with fwAccessControl (WINCC-366 WINCC-366 - Getting issue details... STATUS )
    • CtrlRDBAccess-8.3 could now automaticly close unused connections and reopen them as needed (FWCDB-1123 FWCDB-1123 - Getting issue details... STATUS ) and could treat data with the "|" characters (FWCDB-1113 FWCDB-1113 - Getting issue details... STATUS )
  • Known issues:
      • CAME alerts may sometimes not be archived see ETM-1499 ETM-1499 - Getting issue details... STATUS
      • memory leak in RDB Archiver when activating/deactivating lots of alarms: see ETM-1490 ETM-1490 - Getting issue details... STATUS
      • memory leaks in Oracle 12 client caused by Oracle InstantClient (being followed up with CERN Oracle Support)
        • ENS-19379 ENS-19379 - Getting issue details... STATUS ,FWCDB-1127 FWCDB-1127 - Getting issue details... STATUS

2017-06-15

 

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Windows 64-bit 
[EXE]

(see the remarks)

NOT RECOMMENDED

Note for Windows Users

We are still working on improvements in the CERN installer of WinCC OA 3.15, which are more involved than originally estimated.

For this reason we are releasing the patch with an installer that comes with reduced functionality, yet still would make it possible to windows users of WinCC OA to profit from the most recent bugfixes and features.

This patch release will be installed automatically in SILENT mode . If you need a particular installation option (such as the API), you may add it later from the Control Panel.


Included in the patch :

  • ETM patch P003:
    • list of CERN issues addressed by the patch may be found here .
  • CERN patches:
  • Notable fixes
    • The bug with Data Manager memory leak( ETM-1436 - Getting issue details... STATUS )
    • Restore the behaviour of UI manager to shut down at project restart (WINCC-353 WINCC-353 - Getting issue details... STATUS )
    • Issue with compatibility with fwAccessControl (WINCC-366 WINCC-366 - Getting issue details... STATUS )
    • CtrlRDBAccess-8.3 could now automaticly close unused connections and reopen them as needed (FWCDB-1123 FWCDB-1123 - Getting issue details... STATUS ) and could treat data with the "|" characters (FWCDB-1113 FWCDB-1113 - Getting issue details... STATUS )
  • Known issues:
      • CAME alerts may sometimes not be archived see ETM-1499 ETM-1499 - Getting issue details... STATUS
      • memory leak in RDB Archiver when activating/deactivating lots of alarms: see ETM-1490 ETM-1490 - Getting issue details... STATUS
      • memory leaks in Oracle 12 client caused by Oracle InstantClient (being followed up with CERN Oracle Support)
        • ENS-19379 ENS-19379 - Getting issue details... STATUS ,FWCDB-1127 FWCDB-1127 - Getting issue details... STATUS

2017-06-12


 

Windows 64-bit 
[EXE]


NOT RECOMMENDED


Details about the patch

With exception of a minor bugfix in CtrlRDBAccess, the content of this patch is identical to 20170615 above.

2017-05-31

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]

NOT RECOMMENDED

Details about the patch

With exception of a minor bugfix in CtrlRDBAccess, the content of this patch is identical to 20170615 above.

2017-04-06

 

 

 

 

Windows 64-bit 
[EXE]
(computer restart required)

 

 

 

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]

NOT RECOMMENDED

Included in the patch :

  • ETM patch P002 :
    • list of CERN issues addressed by the patch may be found here .
  • CERN patches:
    • C001: Licenses
    • C002.4: CtrlRDBAccess 8.2
    • C003: C++ API
    • C004: ISO project encoding by default
    • C015: panel.ctl hotfix for ETM-1437
    • Windows:
      • C009.1: Pmon + re-enable connectivity with 3.11 projects by
        deactivating the use of multiplexing proxy by default
    • Linux:
      • C009.2: Pmon + re-enable connectivity with 3.11 projects by
        deactivating the use of multiplexing proxy by default 

Known issues:

  • CAME alerts may sometimes not be archived see ETM-1499 ETM-1499 - Getting issue details... STATUS
  • CtrlRDBAccess issues are being worked on
    • crashes
      • ENS-19411 ENS-19411 - Getting issue details... STATUS
      • FWCDB-1126 FWCDB-1126 - Getting issue details... STATUS
    • memory leaks in Oracle 12 client
      • ENS-19379 ENS-19379 - Getting issue details... STATUS
      • FWCDB-1127 FWCDB-1127 - Getting issue details... STATUS )
    we are working to have these fixed shortly
  • Numerous enhancements planned for Windows Installer are not yet implemented in this release; these are planned to be available in May
  • The reconfiguration of the deafault startup mode of UI manager (WINCC-353 WINCC-353 - Getting issue details... STATUS ) is not yet applied
  • The bug with Data Manager memory leak ( ETM-1436 - Getting issue details... STATUS ) is not yet fully fixed; another hotfix patch should soon be available for testing
  • Windows installer (INTERACTIVE or MANUAL installation): if you install first time WinCC OA 3.15 in the machine, new message from WinCC OA will ask you to reboot. Please NOT REBOOT, finalize all the process until all windows (WinCC OA and command lines) will close. If you use CMF reboot will be automatic, if is manual byou should reboot the machine.

2017-02-17

 

 

 

 

Windows 64-bit 
[EXE]
(computer restart required)

 

 

 

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]

CERN Hotfix


Included in the patch :

  • CERN patches:
    • C001: Licenses
    • C002.4: CtrlRDBAccess 8.2
    • C003: C++ API
    • C004: ISO project encoding by default
    • C013: S7 driver hotfix for ETM-1422
    • C015: panel.ctl hotfix for ETM-1437
    • Windows:
      • C009.1: Pmon + re-enable connectivity with 3.11 projects by
        deactivating the use of multiplexing proxy by default
      • C016dpGetPeriod hotfix for ETM-1429
    • Linux:
      • C009.2: Pmon + re-enable connectivity with 3.11 projects by
        deactivating the use of multiplexing proxy by default

 

  • ETM Official WinCC OA 3.15 Release from 18 January 2017
    The differences since ReleaseCandidate are documented in
    the P001 document
     

Known issues:

  • Windows installer (INTERACTIVE or MANUAL installation): if you install first time WinCC OA 3.15 in the machine, new message from WinCC OA will ask you to reboot. Please NOT REBOOT, finalize all the process until all windows (WinCC OA and command lines) will close. If you use CMF reboot will be automatic, if is manual byou should reboot the machine.
  • CAME alerts may sometimes not be archived see ETM-1499 ETM-1499 - Getting issue details... STATUS

2017-01-18

"The Release"

 

 

Windows 64-bit 
[EXE]
(computer restart required)

 

 

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]

The Release

NOT SUPPORTED

Included in the patch :

  • CERN patches:
    • C001: Licenses
    • C002.3: CtrlRDBAccess
    • C003: C++ API
    • C004: ISO project encoding by default
    • C009.2: Pmon + re-enable connectivity with 3.11 projects by
      deactivating the use of multiplexing proxy by default
  • ETM Official WinCC OA 3.15 Release from 18 January 2017
    The differences since ReleaseCandidate are documented in
    the P001 document
     

 

Known issues:

  • CAME alerts may sometimes not be archived see ETM-1499 ETM-1499 - Getting issue details... STATUS

2017-01-05

"Release Candidate"

 

 

Windows 64-bit 
[EXE]
(computer restart required)

 

 

CC7 64bit 
[RPM main]
[RPM-devel]
[RPM-extras]


Release Candidate

NOT SUPPORTED

Included in the patch :

  • CERN patches:
    • C001: Licenses
    • C002.3: CtrlRDBAccess
    • C003: C++ API
    • C004: ISO project encoding by default
    • C009.2: Pmon + re-enable connectivity with 3.11 projects by
      deactivating the use of multiplexing proxy by default
  • ETM ReleaseCandidate from 22 December 2016

 

Known issues:

  • CAME alerts may sometimes not be archived see ETM-1499 ETM-1499 - Getting issue details... STATUS

Documentation

The following documentation accompanied the released version of WinCC OA 3.15

CERN Supported Platforms

  • Linux:  CERN CentOS 7
  • Windows: Win7/64-bit, WinServer 2008R2, Win10, WinServer 2012

Remarks

Various technical notes related to development and validation of WinCC OA 3.15 for CERN are in WinCC OA 3.15 Validation

There is a list of common issues BE-ICS found during upgrades: Upgrade hints 3.11 to 3.15 which may be useful for other users.

Users

  • To access the software below and to ask for a license, you need to be registered as an authorized PVSS (WinCC OA) user.
    If you are not registered yet, please follow the Registration Procedure.
    You will be prompted for username and password when you click on any software download link. Please use your NICE username and password (if you are a CERN user) or your CERN lightweight account credentials.

Installation and patching instructions

Windows

WinCC OA 3.15 is installed using the CERN installation package, preferably using CMF. At the moment we are working on resolving some of the issues.

Some technical background information may be found here: WinCC OA 3.15 installation instructions for windows.

Linux

On Linux, WinCC OA 3.15 is installed in a standard way (with RPM or yum package manager). Only CERN CentOS7 platform is supported.

 

Post-installation steps, project upgrades

Many patch postInstall steps are now applied automaticallt by WinCC OA, when a project is restarted with patched version of WinCC OA.

For others, please, refer to the patch Release Notes.

Note that an upgrade of database schema for Oracle RDB Archiver is not necessary, if you are upgrading from WinCC OA 3.11SP1.

(negative values of integer and long types always saved as 2^64)

2018-06-20

DEPRECATED

  1. ETM-1455
  • No labels